package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizProcessInspecion;
import cn.ezhizao.project.websocket.domain.BizProcessInspectionExport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 序检主Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-24
 */
public interface BizProcessInspecionMapper extends BaseMapper<BizProcessInspecion> {
    /**
     * 查询序检主列表
     *
     * @param bizProcessInspecion 序检主
     * @return 序检主集合
     */
    public List<BizProcessInspecion> getList(BizProcessInspecion bizProcessInspecion);

    public List<BizProcessInspecion> getInfo(BizProcessInspecion bizProcessInspecion);

    public List<BizProcessInspecion> getProcessInspectionById(Long id);

    /**
     * 物理删除
     *
     * @param bizProcessInspecion
     * @return 删除结果
     */
    public int physicalDelete(BizProcessInspecion bizProcessInspecion);

    public List<BizProcessInspecion> getAllList();

    List<BizProcessInspecion> getVerifyList(BizProcessInspecion bizProcessInspecion);

    List<BizProcessInspectionExport> getExportList(BizProcessInspecion bizProcessInspecion);

    Long getCountForExport(BizProcessInspecion bizProcessInspecion);
}
